package com.bwie.common.domain;


import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @Author：weiran
 * @Package：com.bwie.common.domain
 * @Project：week3
 * @name：Position
 * @Date：2024/8/6 9:47
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder

public class Position {

    /**
     * 序号
     */
    private Integer positionId;

    /**
     *岗位名称
     */
    private String positionName;

    /**
     *岗位描述
     */
    private String positionDesc;

    /**
     *岗位最低薪资
     */
    private Double positionStartsalary;

    /**
     *岗位最高新增
     */
    private Double positionEndsalary;

    /**
     *企业Id
     */
    private Integer companyId;

    /**
     *企业名称
     */
    private String companyName;

    /**
     *发布时间
     */
    private String publishTime;

    /**
     *候选人数
     */
    private Integer deliverPersonnum;

    /**
     *状态
     */
    private Integer positionStatus;






}
