package com.bwie.position.mapper;

import com.bwie.common.domain.Company;
import com.bwie.common.domain.Position;
import com.bwie.common.domain.User;
import com.bwie.common.domain.WaitPerson;
import com.bwie.common.domain.request.PositionReq;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @Author：weiran
 * @Package：com.bwie.position.mapper
 * @Project：week3
 * @name：PositionMapper
 * @Date：2024/8/6 9:34
 */
@Mapper
public interface PositionMapper {
    List<Position> findlist(PositionReq positionReq);

    List<Company> findcompanylist();

    List<Position> findlatest();

    Integer addwaitperson(WaitPerson waitPerson);

    User finduser(WaitPerson waitPerson);

    void upddelivernum(User user);

    void upddeliverpersonnum(WaitPerson waitPerson);

    List<WaitPerson> findwaitpersonList();

    Integer passyes(WaitPerson waitPerson);

    Integer passno(WaitPerson waitPerson);

    WaitPerson find(WaitPerson waitPerson);

    void updststus(Position position);
}
