package com.bwie.position.service;

import com.bwie.common.domain.Company;
import com.bwie.common.domain.Position;
import com.bwie.common.domain.User;
import com.bwie.common.domain.WaitPerson;
import com.bwie.common.domain.request.PositionReq;
import javafx.geometry.Pos;

import java.util.List;

/**
 * @Author：weiran
 * @Package：com.bwie.position.service
 * @Project：week3
 * @name：PositionService
 * @Date：2024/8/6 11:26
 */
public interface PositionService {
    List<Position> findlist(PositionReq positionReq);

    List<Company> findcompanylist();

    List<Position> findlatest();

    Integer addwaitperson(WaitPerson waitPerson);

    List<WaitPerson> findwaitpersonList();

    Integer passyes(WaitPerson waitPerson);


    Integer passno(WaitPerson waitPerson);

    void expire();
}
