package com.bwie.common.domain;


import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @Author：weiran
 * @Package：com.bwie.common.domain
 * @Project：week3
 * @name：User
 * @Date：2024/8/6 9:38
 */
@Data
@AllArgsConstructor
@NoArgsConstructor

public class User {
    /**
     * 用户Id
     */

    private Integer userId;
    /**
     * 用户姓名
     */
    private String userName;
    /**
     * 用户电话
     */
    private String userPhone;
    /**
     *用户邮箱
     */
    private String userEmail;
    /**
     * 已投递岗位数量
     */
    private Integer userDelivernum;
    /**
     *状态
     */
    private Integer userStatus;

    /**
     *
     * private
     */
    private String emailwhat;

}
