package com.bwie.common.domain;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @Author：weiran
 * @Package：com.bwie.common.domain
 * @Project：week3
 * @name：WaitPerson
 * @Date：2024/8/6 12:37
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class WaitPerson {
    /**
     * Id
     */
    private String waitpersonId;



    /**候选人姓名
     *
     */
    private String waitpersonName;

    /**候选电话
     *
     */
    private String waitpersonPhone;

    /**
     *期望岗位
     */
    private String wantPosition;

    /**
     *期望最低薪资
     */
    private String positionStartsalary;

    /**
     *最高薪资
     */
    private String positionEndsalary;

    /**
     *投递时间
     */
    private String deliverTime;

    /**
     *状态
     */
    private String waitpersonStatus;


    /**
     * 公司Id
     */
    private Integer companyId;

    /**
     * 招聘岗位
     */
    private String positionName;



}
