package com.bwie.common.domain.request;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @Author：weiran
 * @Package：com.bwie.common.domain.request
 * @Project：week3
 * @name：PositionReq
 * @Date：2024/8/6 11:28
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class PositionReq {
    /**
     *岗位名称
     */
    private String positionName;

    /**
     *岗位最低薪资
     */
    private Double positionStartsalary;

    /**
     *岗位最高新增
     */
    private Double positionEndsalary;

    /**
     *企业Id
     */
    private Integer companyId;

    /**
     *企业名称
     */
    private String companyName;

    /**
     * 查询开始薪资
     */
    private Double startsalary;

    /**
     * 查询结尾薪资
     *
     */
    private Double endsalary;

}
