package com.bwie.common.domain.request;

import com.bwie.common.domain.User;
import lombok.*;

/**
 * @Author：weiran
 * @Package：com.bwie.common.domain.request
 * @Project：week3
 * @name：UserReq
 * @Date：2024/8/6 9:43
 */
@EqualsAndHashCode(callSuper = true)
@Data
@AllArgsConstructor
@NoArgsConstructor
public class UserReq extends User {

    /**
     * 用户电话
     */
    private String userPhone;
    /**
     *用户邮箱
     */
    private String userEmail;
    /**
     * 验证码
     */
    private String code;



}
