package com.bwie.common.domain.response;


import com.bwie.common.domain.User;
import lombok.AllArgsConstructor;

import lombok.Data;
import lombok.NoArgsConstructor;


/**
 * @Author：weiran
 * @Package：com.bwie.common.domain.response
 * @Project：week3
 * @name：UserResp
 * @Date：2024/8/6 9:45
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class UserResp extends User {

    /**
     * 用户Id
     */

    private Integer userId;
    /**
     * 用户姓名
     */
    private String userName;
    /**
     * 用户电话
     */
    private String userPhone;
    /**
     *用户邮箱
     */
    private String userEmail;
    /**
     * 已投递岗位数量
     */
    private Integer userDelivernum;
    /**
     *状态
     */
    private Integer userStatus;

    /**
     * 验证码
     */
    private String code;

}
