package com.bwie.common.exception;

import org.springframework.stereotype.Component;

/**
 * @Author：weiran
 * @Package：com.bwie.common.exception
 * @Project：week3
 * @name：ProductException
 * @Date：2024/8/6 9:53
 */
@Component
public class ProductException extends RuntimeException{

    public ProductException() {
        super();
    }

    public ProductException(String message) {
        super(message);
    }

    public ProductException(String message, Throwable cause) {
        super(message, cause);
    }

    public ProductException(Throwable cause) {
        super(cause);
    }

    protected ProductException(String message, Throwable cause, boolean enableSuppression, boolean writableStackTrace) {
        super(message, cause, enableSuppression, writableStackTrace);
    }
}
