package com.bwie.position;

import org.springframework.amqp.core.Queue;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.context.annotation.Bean;

/**
 * @Author：weiran
 * @Package：com.bwie.position
 * @Project：week3
 * @name：PositionApplication
 * @Date：2024/8/6 9:34
 */
@SpringBootApplication
public class PositionApplication {
    public static void main(String[] args) {
        SpringApplication.run(PositionApplication.class, args);
    }

    @Bean
    public Queue initQueue(){
        return new Queue("sendemail");
    }
}
